Cabal-1.18.1.5: A framework for packaging Haskell software

Copyright | Jose Iborra 2008
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Distribution.ReadE

Contents

- ReadE
- Projections

Description

Simple parsing with failure

Synopsis

- newtype ReadE a = ReadE {
  - runReadE :: String -> Either ErrorMsg a
  }
- succeedReadE :: (String -> a) -> ReadE a
- failReadE :: ErrorMsg -> ReadE a
- parseReadE :: ReadE a -> ReadP r a
- readEOrFail :: ReadE a -> String -> a
- readP_to_E :: (String -> ErrorMsg) -> ReadP a a -> ReadE a

# ReadE

newtype ReadE a

Parser with simple error reporting

Constructors

ReadE |

Fields

runReadE :: String -> Either ErrorMsg a

Instances

Functor ReadE |

succeedReadE :: (String -> a) -> ReadE a

failReadE :: ErrorMsg -> ReadE a

# Projections

parseReadE :: ReadE a -> ReadP r a

readEOrFail :: ReadE a -> String -> a

readP_to_E :: (String -> ErrorMsg) -> ReadP a a -> ReadE a